import 'package:flutter/material.dart';
import 'package:get/get.dart';
import 'package:taafee_mobile/common/extensions/widget_extension.dart';
import 'package:taafee_mobile/common/widgets/header_screen.dart';

class ImagesViewScreen extends StatelessWidget {
  final List<String> images = [
    "assets/images/download.jpg",
    "assets/images/download.jpg",
    "assets/images/download.jpg",
    "assets/images/download.jpg",
    "assets/images/download.jpg"
  ];
  ImagesViewScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Column(
        children: [
          HeaderScreen(
            "Images",
          ).paddingOnly(top: 20),
          Expanded(
            child: SizedBox(
              width: Get.width,
              child: PageView.builder(
                itemCount: images.length,
                itemBuilder: (BuildContext context, index) {
                  return Container(
                    width: Get.width,
                    decoration: BoxDecoration(
                      image: DecorationImage(
                        image: AssetImage(
                          images[index],
                        ),
                      ),
                    ),
                  );
                },
              ),
            ),
          ),
        ],
      ),
    ).makeSafeArea();
  }
}
